ARES_DUP(3)

NAME
ares_dup - Duplicate a resolver channel

SYNOPSIS
#include <ares.h>

int ares_dup(ares_channel *dest, ares_channel source)

DESCRIPTION
The ares_dup(3) function duplicates an existing communications channel for name service lookups. If it returns successfully, ares_dup(3) will set the variable pointed to by dest to a handle used to identify the name service channel. The caller should invoke ares_destroy(3) on the handle when the channel is no longer needed. The ares_dup_options function also initializes a name service channel, with additional options set exactly as the source channel has them configured.

SEE ALSO
ares_destroy(3), ares_init(3), ares_library_init(3)

AVAILABILITY
ares_dup(3) was added in c-ares 1.6.0

AUTHOR
Daniel Stenberg